RewriteEngine On
RewriteCond %{HTTP_HOST} ^www.zemail.me [NC]
RewriteRule ^(.*)$ https://zemail.me/$1 [L,R=301]

<IfModule mod_rewrite.c>
    RewriteEngine On
    RewriteCond %{REQUEST_URI} !^public
    RewriteRule ^(.*)$ public/$1 [L]
</IfModule>
